/**
 * SOCIAL2S V5 JS
 * V 5.0.0
*/

//This is not necessary in J4.. but just in case
s2s_try();
var s2sModal;
var s2sModalElement;

function s2s_try(){
  try {
    if(jQuery) {
      s2s_init();
      //close if jQuery statement
    }
  }catch(e){
    console.log("jQuery not active");
    setTimeout(function() { s2s_try() }, 1000);
  }
}


function s2s_init(){

  jQuery(document).ready(function(e) {

    if(jQuery('body').hasClass('admin')){
      return;
    }

    //COUNT
    s2s_mas();

  });
 

}

function s2s_mas(){

  jQuery('.s2s_mas').click(function(e){

    e.stopImmediatePropagation(); e.preventDefault();  
      
    //oculto todos
    jQuery('.s2s_contenedor > div').removeClass('active').removeClass('active_done');

    if(jQuery(this).hasClass('s2s_mas_opened')){
      jQuery(this).removeClass('s2s_mas_opened').removeClass('active');
      jQuery(this).parent().children('.afterplus').removeClass('afterplus_open');
      jQuery(this).parent().children('.afterplus').children('a.s2s_icon').attr('tabindex',1);
    }else{
      jQuery(this).addClass('active').addClass('s2s_mas_opened');
      jQuery(this).parent().children('.afterplus').addClass('afterplus_open');
      jQuery(this).parent().children('.afterplus').children('a.s2s_icon').attr('tabindex',0);
    }

  }); 

  $('.s2s_mas').keypress(function(event){
    var keycode = (event.keyCode ? event.keyCode : event.which);
    if(keycode == '13'){

      if(jQuery(this).hasClass('s2s_mas_opened')){
        jQuery(this).removeClass('s2s_mas_opened').removeClass('active');
        jQuery(this).parent().children('.afterplus').removeClass('afterplus_open');
        jQuery(this).parent().children('.afterplus').children('a.s2s_icon').attr('tabindex',1);
      }else{
        jQuery(this).addClass('active').addClass('s2s_mas_opened');
        jQuery(this).parent().children('.afterplus').addClass('afterplus_open');
        jQuery(this).parent().children('.afterplus').children('a.s2s_icon').attr('tabindex',0);
      }

    }
  });
}






function s2sClick(el,ev){
  //s2sOpenModal();
  //let data_url = prepareFrame(el.getAttribute('data-url'));
  let data_url = el.getAttribute('data-url');
  let mode = el.getAttribute('data-mode');
  //document.querySelector("#s2s_modal .modal-body").appendChild(iframe);
  if(mode == 'modal'){
    s2sOpenModal(data_url);
  }else{
    s2sOpenWindow(data_url);
  }
}

//KEYBOARD
function s2sKeyEnter(el,ev){

  if(ev.keyCode === 13){
    ev.preventDefault(); 
    let data_url = el.getAttribute('data-url');
    s2sOpenWindow(data_url);
  }

}

function s2sOpenWindow(url){
  window.open(url, 'newwindow',
  config='height=670,width=1400,toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,directories=no,status=no') 
  || window.location.assign(url);

}

/*
function s2sOpenModal(url){
  let iframe = prepareFrame(url);
  document.querySelector("#s2s_modal .modal-body").appendChild(iframe);
  s2sModal.show();
}

function prepareFrame(src) {
  var ifrm = document.createElement("iframe");
  ifrm.setAttribute("src", src);
  ifrm.style.width = "100%";
  ifrm.style.height = "480px";
  return ifrm;
}
*/